body {
    background-color: #FBFAF9;
}

.header {
    background: #FFFFFF;
    box-shadow: 0px 4px 13px rgba(0, 0, 0, 0.05);
    position: relative;
    z-index: 9;
    .container {
        max-width: 1440px;
        min-height: 82px;
        margin: 0 auto;
        padding: 20px 34px;
        @extend .flex-wrap;
        align-items: center;
        @include breakpoint(mobile) {
            padding-left: 15px;
            padding-right: 15px;
        }
    }

    .btn-mobile {
        display: none;
    }
}

.navigation {
    flex-grow: 1;
    padding-left: 50px;
    position: relative;
    @include breakpoint(ipad) {
        display: none
    }
    > ul {
        list-style: none;
        @extend .box-model-reset;
        @extend .flex-wrap;
        > li {
            margin-right: 30px;
            padding-top: 10px;
            padding-bottom: 10px;
            display: inline-block;
            > a {
                font-weight: 500;
                font-size: 15px;
                line-height: 18px;
                color: $gray;
                text-decoration: none;
            }
        }
        .dropdown {
            background: url("../img/nav-arrow.svg") right center no-repeat;
            padding-right: 16px;
        }
    }


    .dropdown {
        position: relative;
        > a {
          position: relative;
          &:before {
            content: "";
            position: absolute;
            right: 0;
            top: 7px;
            width: 8px;
            height: 8px;
            background: url("../img/menu-arrow.svg") center center no-repeat;
            transition: all 0.2s ease;
          }
        }

        &:hover {
          > a:before {
            transform: rotate(180deg);
          }

          > a:after {
            content: "";
            width: 0; 
            height: 0; 
            border-left: 7px solid transparent;
            border-right: 7px solid transparent;
            border-bottom: 12px solid #fff;
            position: absolute;
            z-index: 3;
            left: 38%;
            bottom: -15px;
            box-shadow: 0px 4px 36px rgba(68, 97, 215, 0.12);
          }
        }

        > ul {
          opacity: 0;
          visibility: hidden;
          min-width: 217px;
          position: absolute;
          z-index: 2;
          top: 80%;
          left: -20px;
          background: #FFFFFF;
          box-shadow: 0px 4px 36px rgba(68, 97, 215, 0.12);
          border-radius: 4px;
          margin: 0;
          padding: 10px 0px;
          transition: all 0.3s ease-in;
          li {
            list-style: none;

            a {
              font-weight: 500;
              font-size: 14px;
              line-height: 140%;
              color: #333333;
              padding: 12px 24px;
              display: block;
              white-space: nowrap;
              &:hover {
                color: $blue;
              }
            }
          }
        }

        &:hover {
          > ul {
            opacity: 1;
            visibility: visible;
            top: 100%;
          }
        }
      }
    
      .mega-menu {
        position: static;
        .mega-menu-items {
          @extend .flex-wrap;
          opacity: 0;
          visibility: hidden;
          position: absolute;
          top: 80%;
          left: 0;
          right: 0;
          background: #FFFFFF;
          box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.28);
          border-radius: 4px;
          transition: all 0.3s ease-in;
        }

        &:hover {
          .mega-menu-items {
            opacity: 1;
            visibility: visible;
            top: 100%;
          }
        }
      }

      .mega-services {
        flex: 0 0 240px;
        padding-right: 5px;
        padding-left: 5px;
        border-right: 1px solid #DCD5D5;
        ul {
              list-style: none;
              margin: 0;
              padding: 9px 0px;
          }
        li {
            &:hover {
                background-color: #F6F9FC;
                border-radius: 4px;
              }
              a {
                font-size: 14px;
                line-height: 150%;
                color: #5C5D60;
                text-decoration: none;
                display: block;
                padding: 9px 10px 9px 36px;
              }
          }
        .browse-all {
              text-decoration: none;
              text-align: center;
              padding: 15px 0px;
              font-size: 14px;
              line-height: 16px;
              color: #3538C3;
              display: block;
              border-top: 1px solid #DCD5D5;
        }

        .mob-app-dev a {
            background: url("../img/icon-1.svg") 12px center no-repeat;
        }
        .soft-dev a {
            background: url("../img/icon-2.svg") 12px center no-repeat;
        }
        .web-dev a {
            background: url("../img/icon-3.svg") 12px center no-repeat;
        }
        .ecom-dev a {
            background: url("../img/icon-4.svg") 12px center no-repeat;
        }
        .bchain-dev a {
            background: url("../img/icon-5.svg") 12px center no-repeat;
        }
        .digi-dev a {
            background: url("../img/icon-6.svg") 12px center no-repeat;
        }
        .seo a {
            background: url("../img/icon-7.svg") 12px center no-repeat;
        }
        .web-des a {
            background: url("../img/icon-8.svg") 12px center no-repeat;
        }
        .app-des a {
            background: url("../img/icon-9.svg") 12px center no-repeat;
        }
        .big-data a {
            background: url("../img/icon-10.svg") 12px center no-repeat;
        }
        .art-int a {
            background: url("../img/icon-11.svg") 12px center no-repeat;
        }
        .iot-dev a {
            background: url("../img/icon-12.svg") 12px center no-repeat;
        }

      }

      .mega-details {
        flex-grow: 1;
        padding-left: 25px;
        @extend .flex-wrap;
        div {
            flex: 1;
            padding-top: 18px;
            padding-right: 15px;
        }
        h4 {
            font-size: 14px;
            line-height: 150%;
            color: $black;
        }
        ul {
            list-style: none;
            margin: 0;
            padding: 9px 0px;
        }
        li {
            a {
              font-size: 14px;
              line-height: 150%;
              color: #5C5D60;
              text-decoration: none;
              display: block;
              padding: 6px 0px;
            }
        }
        .more {
            color: #3538C3;
            &:hover {
                text-decoration: underline
            }
        }
    }

}

.nav-btns {
    @extend .flex-center;
    margin-left: auto;
    .btn-search {
        width: 42px;
        height: 42px;
        background: transparent;
        border: 0;
        cursor: pointer;
        margin-right: 15px;
    }
    
    a {
        font-weight: 500;
        font-size: 14px;
        line-height: 17px;
        padding: 12px 13px;
        display: inline-block;
        margin-left: 15px;
        border-radius: 5px;
        background: transparent;
        border:1px solid $primary-color;
        text-decoration: none;
    }
    .btn-signin {   
        color: $primary-color;
    }
    .btn-signup {   
        color: #FBFAF9;
        background: $primary-color;
    }
}

.page-company-list,
.page-company-details {
    .main {
        padding: 0 15px;
        .container {
            max-width: 1250px;
            min-height: 500px;
            margin: 0 auto;
        }
    }

    .hero-section {
        background: #FFFFFF;
        border: 1px solid #EDEDED;
        border-top: 0;
        border-radius: 0px 0px 10px 10px;
        padding: 35px 38px 0 38px;
        margin-bottom: 20px;
        @include breakpoint(mobile) {
           padding:30px 15px 0 15px;
        }

        p {
            font-size: 16px;
            line-height: 150%;
            a {
                text-decoration: underline;
            }
        }

        .tabs {
            margin-top: 40px;
            a {
                color: #737373;
                font-size: 16px;
                line-height: 19px;
                text-align: center;
                text-transform: uppercase;
                padding: 0 25px 10px 25px;
                text-decoration: none;
                border-bottom:3px solid transparent;
                display: inline-block;
                &.active {
                    color: #3A3B6A;
                    border-color: #3A3B6A;
                    .icon {
                        filter: grayscale(0) sepia(0) !important;
                    }
                }
                &:hover {
                    color: #3A3B6A;
                    .icon {
                        filter: grayscale(0) sepia(0) !important;
                    }
                }
                @include breakpoint(mobile) {
                    padding-left: 10px;
                    padding-right: 10px;
                    margin-bottom: 10px;
                }
            }

            .icon {
                width: 17px;
                height: 18px;
                display: block;
                margin: auto;
                margin-bottom: 7px;
                filter: grayscale(100%) sepia(100%);
            }
            .icon-about {
                background: url("../img/icon-about-tab.svg") center center no-repeat;
            }
            .icon-reviews {
                background: url("../img/icon-reviews-tab.svg") center center no-repeat;
            }
            .icon-graph {
                background: url("../img/icon-graph-tab.svg") center center no-repeat;
            }
            .icon-services {
                background: url("../img/icon-services-tab.svg") center center no-repeat;
            }
            .icon-portfolio {
                background: url("../img/icon-portfolio-tab.svg") center center no-repeat;
            }
        }
    }
}

.page-company-details { 
    .hero-section {
        padding: 28px 45px 0 45px;
        margin-bottom: 20px;
        @include breakpoint(ipad) {
            padding-left: 25px;
            padding-right: 25px;
        }
        @include breakpoint(mobile) {
            padding-left: 15px;
            padding-right: 15px;
        }
        .tabs {
            margin-top: 32px;
        }
    }
}

.company-list-section {
    background: #FFFFFF;
    border: 1px solid #EDEDED;
    border-radius: 10px;
    padding: 35px 38px 20px 38px;
    margin-bottom: 20px;
    @include breakpoint(mobile) {
        padding: 15px;
    }
}

.company-description {
    background: #FFFFFF;
    border: 1px solid #EDEDED;
    border-radius: 10px;
    padding: 20px 45px 20px 45px;
    margin-bottom: 20px;
    @include breakpoint(mobile) {
        padding: 15px;
    }
}

.filters {
    @extend .flex-wrap;
    position: relative;
    align-items: flex-end;
    justify-content: space-between;
    margin-bottom: 15px;
    .item {
        max-width: 153px;
        flex-grow: 1;
        margin: 0 12px 20px 0px;
        @include breakpoint(mobile) {
            width: calc(50% - 8px);
            max-width: 100%;
            margin-right: 0;
            flex-grow: 0;
        }

        label {
            font-size: 13px;
            line-height: 16px;
            color: #979899;
            margin-bottom: 8px;
            display: block;
        }

        select {
            border: 1px solid #EDEDED;
            border-radius: 2px;
            font-size: 15px;
            line-height: 18px;
            color: #5C5D60;
            width: 100%;
            padding: 8px 10px;
        }
    }

    .btn-primary {
        cursor: pointer;
        height: 37px;
        margin-left: 6px;
    }

    .sortby {
        margin-left: auto;
        margin-right: 0;
        select {
            background: rgba(251, 250, 249, 0.5);
        }
        @include breakpoint(mobile) {
            margin-left: 0;
        }
        @include breakpoint(smmobile) {
            flex-grow: 1;
        }
    }

    &:after {
        content: "";
        position: absolute;
        left: -7px;
        right: -7px;
        bottom: -16px;
        border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    } 
}

.company-group {
    @extend .row;
    .column {
        margin-top: 40px;
        @extend .col-3;
        @include breakpoint(ipad-only) {
            width: 50%;
        }
    }
    
    .content {
        background: #FBFAF9;
        border: 1px solid #EDEDED;
        box-sizing: border-box;
        border-radius: 10px;
        height: 100%;

        h2 {
            margin: 15px 0 0px 0px;
            .icon {
                vertical-align: middle;
            }
        }
    
        .logo {
            width: 97px;
            height: 97px;
            display: inline-block;
        }
    }

    .sponsore {
        @extend .flex-wrap;
        justify-content: space-between;
        padding: 10px 0 12px 12px;
        .shortlist {
            @extend .flex-center;
            font-size: 12px;
            line-height: 15px;
            color: #AEAEAE;
            cursor: pointer;
            input {
                width: 15px;
                height: 15px;
                border: 1px solid #AEAEAE;
                position: relative;
                width: 15px;
                height: 15px;
                margin: 0 5px 0 0px;
                &:checked:after {
                    content: "";
                    position: absolute;
                    z-index: 1;
                    top: 0;
                    left: 0;
                    width: 15px;
                    height: 15px;
                    background: url("../img/check-blue.png") 0 0 no-repeat;
                    border-color: #200DF2;
                    display: block;
                }
            }
        }
        .tag {
            width: 85px;
            height: 24px;
            background: url("../img/sponsored.svg") 0 0 no-repeat;
            margin-right: -3px;
        }
    }

    .head {
        @extend .flex-wrap;
        @extend .flex-center;
        padding: 0 20px;
        flex-direction: column;
    }

    .desc {
        padding: 25px 20px 20px 20px;
        p a {
            text-decoration: none;
            &:hover {
                text-decoration: underline
            }
        }
    }

    .details {
        @extend .row;
        margin-top: 25px;
        div {
            margin-bottom: 20px;
            @extend .col-2;
            &:last-child {
                flex: 1;
            }
        }
        span {
            display: block;
            padding-bottom: 3px;
            color: #3A3B6A;
            font-weight: 600;
        }
    }

    .arrow-link {
        display: block;
        padding: 20px;
        text-align: center;
        border-top: 1px solid #EDEDED;
    }

    .website {
        font-size: 14px;
        line-height: 150%;
        text-decoration-line: underline;
        color: #3A3B6A;
    }

}

.reviews {
    padding: 8px 0px;
    .stars {
        display: inline-block;
        width: 109px;
        height: 18px;
        background: url("../img/stars.svg") 0 0 no-repeat;
        margin-right: 5px;
    }
    .count {
        font-size: 16px;
        line-height: 19px;
        color: #3A3B6A;
    }
}

.arrow-link {
    font-size: 15px;
    line-height: 18px;
    color: #3538C3;
    text-decoration: none;
    .icon {
        content: "";
        width: 12px;
        height: 8px;
        background: url("../img/arrow-link.svg") 0 0 no-repeat;
        display: inline-block;
        position: relative;
        transition: all 0.5s ease-in-out;
    }
    &:hover .icon {
        right: -5px;
    }
}

.page-company-details {
    .hero-section {
        .head {
            @extend .flex-center;
            justify-content: space-between;
            @include breakpoint(ipad-only) {
                flex-direction: column;
                align-items: flex-start
            }
        }

        .title {
            @extend .flex-wrap;
            img {
                margin-right: 13px;
            }

            h1 {
                margin-bottom: 4px;
                @include breakpoint(mobile) {
                    font-size: 30px;
                }
            }

            .reviews {
                padding: 0;
                .stars {
                    width: 142px;
                    height: 23px;
                    background: url("../img/stars5.svg") 0 0 no-repeat;
                    margin-right: 10px;
                }
                .count {
                    font-size: 20px;
                    line-height: 24px;
                    color: #FF0101;
                }
            }
        }

        .auction {
            a {
                margin-left: 15px;
                @include breakpoint(ipad) {
                    margin: 15px 15px 0 0px;
                }
            }
        }
    }
}

.company-detail-section {
    @extend .flex-center;  
    align-items: flex-start;
    .company-description {
        width: calc(100% - 350px);
        margin-right: 20px;
        @include breakpoint(ipad) {
            width: 100%;
            padding-left: 25px;
            margin-right: 0;
        }
        @include breakpoint(mobile) {
            padding-left: 15px;
            padding-right: 15px;
        }
    }
    .company-contact {
        width: 330px;
        background: #FFFFFF;
        border: 1px solid #EDEDED;
        border-radius: 10px;
        padding: 25px;
        @include breakpoint(ipad) {
            width: 100%;
        }
        h4 {
            margin-bottom: 20px
        }
        .address {
            margin-top: 18px
        }

        .call {
            &:before {
                content: "";
                width: 18px;
                height: 16px;
                background: url("../img/icon-call.svg") 0 0 no-repeat;
                display: inline-block;
                vertical-align: middle;
                margin-right: 5px
            }
        }

        .email {
            &:before {
                content: "";
                width: 18px;
                height: 16px;
                background: url("../img/icon-email.svg") 0 0 no-repeat;
                display: inline-block;
                vertical-align: middle;
                margin-right: 5px
            }
            a {
                color: #5C5D60;
                text-decoration: none
            }
        }
    }
}

.company-description {
    .head {
        @extend .flex-wrap;
        justify-content: space-between;
    }

    .title {
        h3 {
            color: #2D2D2D;
            font-family: 'Inter-Regular';
        }
    }

    .rate {
        font-size: 16px;
        line-height: 19px;
        text-align: right;
        color: #737373;
        h3 {
            font-size: 20px;
            line-height: 24px;
            font-family: 'Inter-Medium';
            color: #737373;
            display: block;
            padding-top: 5px;
        }
    }

    .desc {
        margin: 20px 0 30px 0px;
        p {
            font-size: 16px;
            line-height: 150%;
        }
    }

    .details {
        @extend .flex-wrap;
        font-size: 13px;
        line-height: 16px;
        color: #5C5D60;
        position: relative;
        &:before {
            content: "";
            position: absolute;
            top: 0px;
            left: -15px;
            right: -15px;
            border-top: 1px solid rgba(0, 0, 0, 0.2);
        }

        div {
            margin: 20px 30px 0 0px;
        }

        h5 {
            font-size: 16px;
            line-height: 19px;
            color: #2D2D2D;
            margin-top: 5px;
            font-family: 'Inter-Regular';
        }
    }
}